// CREATE AT: 18/04/2022 10:02:31 - BY: [1] Linh Nguyễn
import 'package:wow_views/compoment/view/DanhSachNamDoc2.dart';
import 'package:wow_views/compoment/view/ViewHTML.dart';
import 'package:wow_views/compoment/view/ViTriCompoment.dart';
import 'package:wow_views/compoment/view/ThongTin1.dart';
import 'package:wow_views/compoment/view/BannerHinhAnhShare.dart';
import 'package:wow_views/compoment/view/DauGachNgang.dart';
import 'package:wow_views/compoment/view/ButtonDangKy.dart';

class WowCompomentManager {
    getMainView(int idComponentView, Map<String, dynamic> param) {
        print('WowCompomentManager.getMainView idComponentView:${idComponentView}');
        switch (idComponentView) {
            //Danh sách tin nằm doc - 2
            case 6: return DanhSachNamDoc2().getMainView(param);
            //View HTML
            case 7: return ViewHTML().getMainView(param);
            //Vi tri google map - 1
            case 8: return ViTriCompoment().getMainView(param);
            //Thong tin - 1
            case 9: return ThongTin1().getMainView(param);
            //Banner 1 hình có nút share
            case 10: return BannerHinhAnhShare().getMainView(param);
            //Dấu gạch ngang
            case 11: return DauGachNgang().getMainView(param);
            //Button đăng ký - 1
            case 12: return ButtonDangKy().getMainView(param);
            default:
            print('===================== [ERROR] Component is not define with idComponentView:${idComponentView} =====================');
        }
    }
}
